# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - Site wide configuration

    Based on sample moin_config.py.

    Note that there are more config options than you'll find in
    the version of this file that is installed by default; see
    the module MoinMoin.config for a full list of names and their
    default values.

    Also, the URL http://purl.net/wiki/moin/HelpOnConfiguration has
    a list of config options.

    @copyright: 2000-2003 by Jrgen Hermann <jh@web.de>
    @license: GNU GPL, see COPYING for details.
"""
# You need to import farm_config in the setup of each local
# MoinMoin site that you want part of your "Wiki farm".

url_prefix = '/wiki'
logo_url = url_prefix + '/classic/img/moinmoin.png'

# encoding and WikiName char sets
# (change only for outside America or Western Europe)
charset = 'iso-8859-1'
upperletters = "A-Z"
lowerletters = "0-9a-z"

# options people are likely to change due to personal taste
show_hosts = 1                          # show hostnames?
nonexist_qm = 0                         # show '?' for nonexistent?
backtick_meta = 1                       # allow `inline typewriter`?
allow_extended_names = 1                # allow ["..."] markup?
edit_rows = 20                          # editor size
max_macro_size = 50                     # max size of RecentChanges in KB (0=unlimited)
bang_meta = 1                           # use ! to escape WikiNames?
show_section_numbers = 0                # enumerate headlines?

# charting needs "gdchart" installed!
# you can remove the test and gain a little speed (i.e. keep only
# the chart_options assignment, or remove this code section altogether)
try:
    import gdchart
    chart_options = {'width': 720, 'height': 400}
except ImportError:
    pass

# Allow editing only to registered users
#acl_enabled = 1
#allowed_actions = ['DeletePage', 'AttachFile']

# values that depend on above configuration settings
logo_string = '<img src="%s" border="0" alt="%s">' % (logo_url, sitename)
html_head = """
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=%s">
""" % (charset,)

# The email announcements are great :-)
mail_from = "webmaster"
mail_smarthost = "localhost"

# Sample tweaks for danish as primary locale
#default_lang = 'da'
#page_front_page = 'ForSide'
#navi_bar = [
#	'ForSide',
#	'SiteNavigering',
#	'SenesteRettelser',
#    ]
#page_template_regex = '[' + lowerletters + ']Skabelon$'
#page_category_regex = '^Kategori[' + upperletters + ']'
#page_form_regex = '[' + lowerletters + ']Formular$'
#page_group_regex = '[' + lowerletters + ']Gruppe$'

# Let's experiment with XSLT (if installed...)
#allow_xslt = 1

# for standalone server (see cgi-bin/moin.py)
httpd_host = "localhost"
httpd_port = 80
httpd_user = "www-data"

# Make sure security is tightened
umask = 0750
