# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - Configuration

    Note that there are more config options than you'll find in
    the version of this file that is installed by default; see
    the module MoinMoin.config for a full list of names and their
    default values.

    Also, the URL http://purl.net/wiki/moin/HelpOnConfiguration has
    a list of config options.

    @copyright: 2000-2003 by Jrgen Hermann <jh@web.de>
    @license: GNU GPL, see COPYING for details.
"""
# Comment this out to completely ignore /etc/moin/farm_config.py
from MoinMoin.farm_config import *

# basic options (you normally need to change these)
sitename = 'JonesWiki'
interwikiname = 'Jones'
data_dir = '/home/jonas/webdata/wiki.jones.dk/'
url_prefix = '/wiki'
# MoinMoinMannen is here: http://helgo.net/fika/MoinMoinMannen
logo_url = '/moinmoinnaked.gif'
logo_string = '<img src="%s" border="0" alt="%s">' % (logo_url, sitename)

allowed_actions = ['DeletePage', 'AttachFile']

acl_enabled = 1
acl_rights_default = "Known:read,write,delete All:read"
# FIXME: How to enable this only for registered users?
if 1:
    # MoinMoinMannen is here: http://helgo.net/fika/MoinMoinMannen
    logo_url = '/moinmoinnaked.gif'
    logo_string = '<img src="%s" border="0" alt="%s">' % (logo_url, sitename)

# I am danish (= from Denmark, not some cake!)
default_lang = 'da'
page_front_page = 'ForSide'
navi_bar = [
	'ForSide',
	'SiteNavigering',
	'SenesteRettelser',
    ]
page_template_regex = '[' + lowerletters + ']Skabelon$'
page_category_regex = '^Kategori[' + upperletters + ']'
page_form_regex = '[' + lowerletters + ']Formular$'
page_group_regex = '[' + lowerletters + ']Gruppe$'

# Let's experiment with XSLT (if installed...)
allow_xslt = 1

# Make sure security is tightened
umask = 0750
